import { logger } from './logger.js';

const templatePath = `modules/yet-another-timer/templates/timer-complete.hbs`;

export class TimerCompleteScreen extends FormApplication {
   static get defaultOptions() {
    const defaults = super.defaultOptions;

    const overrides = {
      height: "auto",
      resizable: true,
      id: "yet-another-timer-timer-complete",
      template: templatePath,
      title: game.i18n?.localize("YAT.timer.complete") || "Timer complete",
    };
    return Object.assign({}, defaults, overrides);
  }

  data = {
    names: [],
  };

  setData(data) {
    logger.debug("Adding a completed timer", data);
    if (data.name) {
      // TODO: dynamically set the id somehow.
      this.data.names.push(data.name);
    }
  }

  getData() {
    return this.data;
  }
}
